summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMiroslav Šulc <fordfrog@gentoo.org>2020-09-17 09:29:41 +0200
committerMiroslav Šulc <fordfrog@gentoo.org>2020-09-17 09:30:01 +0200
commit61432476c147decbfbb233c6d39fedb0a3f1f41c (patch)
treea5ed4301e7fafea0a0a11a1330cf1e6170480731 /media-sound
parentmedia-sound/lilypond: fixed readme install in 9999 (diff)
downloadgentoo-61432476c147decbfbb233c6d39fedb0a3f1f41c.tar.gz
gentoo-61432476c147decbfbb233c6d39fedb0a3f1f41c.tar.bz2
gentoo-61432476c147decbfbb233c6d39fedb0a3f1f41c.zip
media-sound/lilypond: bump to 2.21.6 + sync'd live
Package-Manager: Portage-3.0.7, Repoman-3.0.1 Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>
Diffstat (limited to 'media-sound')
-rw-r--r--media-sound/lilypond/Manifest1
-rw-r--r--media-sound/lilypond/lilypond-2.21.6.ebuild143
-rw-r--r--media-sound/lilypond/lilypond-9999.ebuild14
3 files changed, 151 insertions, 7 deletions
diff --git a/media-sound/lilypond/Manifest b/media-sound/lilypond/Manifest
index d4005fbc593..b5615aa667c 100644
--- a/media-sound/lilypond/Manifest
+++ b/media-sound/lilypond/Manifest
@@ -1,2 +1,3 @@
DIST lilypond-2.21.4.tar.gz 18011766 BLAKE2B fe9731a170ec6e551bd5e2259cca33e1c69ee5dedccaf39e7026afe3342da8d301f7450450122f4e102915d4469dddb89575b3a75db21e988d526d9b683bcc38 SHA512 29d671d411cf3817e8a62f208bec4c8d74a08c3a54b8856c1474cfa736e2882c5418b52af2675598093fae2b77c2ba4c812aae9164d99c9643ff18271cee6860
DIST lilypond-2.21.5.tar.gz 18005124 BLAKE2B d41f2baaeb0e72905f688bf7bd88e9acdc1eabc1bf69a05e8d5208f8ffc06197830c6b6ff1f09034eebc15fc4d94f6909848940361e06120530abc67b10aa87e SHA512 bcc72d0d040125fc9e4f7447e31af59959cae8c1afef1f6c4b7fb1fdbf037931a94d64c94b6b26e37de7d66ec52f24b2ba1b4fd0a6e0862b82eeef3c86d94958
+DIST lilypond-2.21.6.tar.gz 17996701 BLAKE2B 2efbdae1bd16ab1682c14c1c0e01146d66dd408ff5d3f9b69ed38dcedd88b68c6ae3219b02e7a3967833d802488a90aecf50964f44ebb5445f887d4a532a41ad SHA512 9effceabe39a0ca5f3837e0ff1cb0d4caed87b4b76e40f7c4f618d682b2e3db8f82e461e5c9555d6c05d591be54a08370599ed8c72d1e92ba80bcabf4d21a6f7
diff --git a/media-sound/lilypond/lilypond-2.21.6.ebuild b/media-sound/lilypond/lilypond-2.21.6.ebuild
new file mode 100644
index 00000000000..89cf464d7f8
--- /dev/null
+++ b/media-sound/lilypond/lilypond-2.21.6.ebuild
@@ -0,0 +1,143 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+
+inherit elisp-common autotools python-single-r1 toolchain-funcs xdg-utils
+
+if [[ "${PV}" = "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://git.savannah.gnu.org/git/lilypond.git"
+else
+ MAIN_VER=$(ver_cut 1-2)
+ SRC_URI="http://lilypond.org/download/sources/v${MAIN_VER}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~x86"
+fi
+
+DESCRIPTION="GNU Music Typesetter"
+HOMEPAGE="http://lilypond.org/"
+
+LICENSE="GPL-3 FDL-1.3"
+SLOT="0"
+LANG_USE="l10n_ca l10n_cs l10n_de l10n_en l10n_fr l10n_hu l10n_it l10n_ja l10n_nl l10n_pt l10n_zh"
+IUSE="debug doc emacs guile2 profile vim-syntax ${LANG_USE}"
+unset LANG_USE
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+BDEPEND="
+ dev-texlive/texlive-metapost
+ sys-apps/texinfo
+ sys-devel/bison
+ sys-devel/flex
+ virtual/pkgconfig
+ doc? ( app-text/texi2html )
+"
+RDEPEND="app-text/ghostscript-gpl
+ dev-scheme/guile:12=[deprecated,regex]
+ media-fonts/tex-gyre
+ media-libs/fontconfig
+ media-libs/freetype:2
+ x11-libs/pango
+ emacs? ( >=app-editors/emacs-23.1:* )
+ guile2? ( >=dev-scheme/guile-2.2:12 )
+ !guile2? (
+ dev-scheme/guile:12=[deprecated,regex]
+ <dev-scheme/guile-2.0:12
+ )
+ ${PYTHON_DEPS}"
+DEPEND="${RDEPEND}
+ app-text/t1utils
+ dev-lang/perl
+ dev-libs/kpathsea
+ media-gfx/fontforge[png,python]
+ sys-devel/gettext
+ doc? (
+ dev-texlive/texlive-langcyrillic
+ l10n_cs? ( dev-texlive/texlive-xetex )
+ l10n_ja? ( dev-texlive/texlive-langjapanese )
+ l10n_zh? ( dev-texlive/texlive-langchinese )
+ )
+"
+# Correct output data for tests isn't bundled with releases
+RESTRICT="test"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.21.1-fix-font-size.patch
+)
+
+DOCS=( DEDICATION HACKING README.md ROADMAP )
+
+src_prepare() {
+ default
+
+ if ! use vim-syntax ; then
+ sed -i 's/vim//' GNUmakefile.in || die
+ fi
+
+ # respect CFLAGS
+ sed -i 's/OPTIMIZE -g/OPTIMIZE/' aclocal.m4 || die
+
+ # remove bundled texinfo file (fixes bug #448560)
+ rm tex/texinfo.tex || die
+
+ eautoreconf
+
+ xdg_environment_reset #586592
+}
+
+src_configure() {
+ # fix hardcoded `ar`
+ sed -i "s/AR=ar/AR=$(tc-getAR)/g" flower/GNUmakefile || die "Failed to fix ar command"
+
+ local myeconfargs=(
+ --with-texgyre-dir=/usr/share/fonts/tex-gyre
+ --disable-optimising
+ --disable-pipe
+ $(use_enable debug debugging)
+ $(use_enable doc documentation)
+ $(use_enable profile profiling)
+ )
+
+ export VARTEXFONTS="${T}/fonts" # https://bugs.gentoo.org/692010
+
+ econf "${myeconfargs[@]}" AR="$(tc-getAR)"
+}
+
+src_compile() {
+ default
+
+ use doc && emake LANGS="${L10N}" doc info
+
+ if use emacs ; then
+ elisp-compile elisp/lilypond-{font-lock,indent,mode,what-beat}.el \
+ || die "elisp-compile failed"
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" vimdir=/usr/share/vim/vimfiles install
+
+ use doc && emake DESTDIR="${D}" install-doc
+
+ # remove elisp files since they are in the wrong directory
+ rm -r "${ED}"/usr/share/emacs || die
+
+ if use emacs ; then
+ elisp-install ${PN} elisp/*.{el,elc} elisp/out/*.el \
+ || die "elisp-install failed"
+ elisp-site-file-install "${FILESDIR}"/50${PN}-gentoo.el
+ fi
+
+ python_fix_shebang "${ED}"
+
+ einstalldocs
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}
diff --git a/media-sound/lilypond/lilypond-9999.ebuild b/media-sound/lilypond/lilypond-9999.ebuild
index eed5fa9c0fb..89cf464d7f8 100644
--- a/media-sound/lilypond/lilypond-9999.ebuild
+++ b/media-sound/lilypond/lilypond-9999.ebuild
@@ -26,23 +26,23 @@ unset LANG_USE
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
BDEPEND="
- >=dev-texlive/texlive-metapost-2020
- >=sys-apps/texinfo-4.11
- >=sys-devel/bison-2.0
+ dev-texlive/texlive-metapost
+ sys-apps/texinfo
+ sys-devel/bison
sys-devel/flex
virtual/pkgconfig
doc? ( app-text/texi2html )
"
-RDEPEND=">=app-text/ghostscript-gpl-8.15
- >=dev-scheme/guile-1.8.2:12=[deprecated,regex]
+RDEPEND="app-text/ghostscript-gpl
+ dev-scheme/guile:12=[deprecated,regex]
media-fonts/tex-gyre
media-libs/fontconfig
media-libs/freetype:2
- >=x11-libs/pango-1.12.3
+ x11-libs/pango
emacs? ( >=app-editors/emacs-23.1:* )
guile2? ( >=dev-scheme/guile-2.2:12 )
!guile2? (
- >=dev-scheme/guile-1.8.2:12=[deprecated,regex]
+ dev-scheme/guile:12=[deprecated,regex]
<dev-scheme/guile-2.0:12
)
${PYTHON_DEPS}"